

# UpdateLinkedWhatsAppBusinessAccountPhoneNumber
<a name="API_UpdateLinkedWhatsAppBusinessAccountPhoneNumber"></a>

Updates the calling settings for a linked WhatsApp business phone number, such as whether calling is enabled and the hours during which the business accepts calls.

## Request Syntax
<a name="API_UpdateLinkedWhatsAppBusinessAccountPhoneNumber_RequestSyntax"></a>

```
PUT /v1/whatsapp/waba/phone?id={{id}} HTTP/1.1
Content-type: application/json

{
   "callSettings": { 
      "callbackPermissionStatus": "{{string}}",
      "callEnabled": {{boolean}},
      "callHours": { 
         "enabled": {{boolean}},
         "holidaySchedule": [ 
            { 
               "date": "{{string}}",
               "endTime": { 
                  "hours": {{number}},
                  "minutes": {{number}}
               },
               "startTime": { 
                  "hours": {{number}},
                  "minutes": {{number}}
               }
            }
         ],
         "timezone": "{{string}}",
         "weeklyOperatingHours": [ 
            { 
               "closeTime": { 
                  "hours": {{number}},
                  "minutes": {{number}}
               },
               "dayOfWeek": "{{string}}",
               "openTime": { 
                  "hours": {{number}},
                  "minutes": {{number}}
               }
            }
         ]
      },
      "callIconVisibility": "{{string}}"
   }
}
```

## URI Request Parameters
<a name="API_UpdateLinkedWhatsAppBusinessAccountPhoneNumber_RequestParameters"></a>

The request uses the following URI parameters.

 ** [id](#API_UpdateLinkedWhatsAppBusinessAccountPhoneNumber_RequestSyntax) **   <a name="Social-UpdateLinkedWhatsAppBusinessAccountPhoneNumber-request-uri-id"></a>
The unique identifier of the phone number to update. The phone number identifiers are formatted as `phone-number-id-01234567890123456789012345678901`.  
Length Constraints: Minimum length of 1. Maximum length of 115.  
Pattern: `.*(^phone-number-id-.*$)|(^arn:.*:phone-number-id/[0-9a-zA-Z]+$).*`   
Required: Yes

## Request Body
<a name="API_UpdateLinkedWhatsAppBusinessAccountPhoneNumber_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [callSettings](#API_UpdateLinkedWhatsAppBusinessAccountPhoneNumber_RequestSyntax) **   <a name="Social-UpdateLinkedWhatsAppBusinessAccountPhoneNumber-request-callSettings"></a>
The calling settings to apply to the phone number.  
Type: [WhatsAppCallSettings](API_WhatsAppCallSettings.md) object  
Required: Yes

## Response Syntax
<a name="API_UpdateLinkedWhatsAppBusinessAccountPhoneNumber_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "phoneNumberId": "string"
}
```

## Response Elements
<a name="API_UpdateLinkedWhatsAppBusinessAccountPhoneNumber_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [phoneNumberId](#API_UpdateLinkedWhatsAppBusinessAccountPhoneNumber_ResponseSyntax) **   <a name="Social-UpdateLinkedWhatsAppBusinessAccountPhoneNumber-response-phoneNumberId"></a>
The unique identifier of the phone number that was updated.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 115.  
Pattern: `.*(^phone-number-id-.*$)|(^arn:.*:phone-number-id/[0-9a-zA-Z]+$).*` 

## Errors
<a name="API_UpdateLinkedWhatsAppBusinessAccountPhoneNumber_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedByMetaException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** DependencyException **   
Thrown when performing an action because a dependency would be broken.  
HTTP Status Code: 502

 ** InternalServiceException **   
The request processing has failed because of an unknown error, exception, or failure.  
HTTP Status Code: 500

 ** InvalidParametersException **   
One or more parameters provided to the action are not valid.  
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The resource was not found.  
HTTP Status Code: 404

 ** ThrottledRequestException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The request contains an invalid parameter value.   
HTTP Status Code: 400

## See Also
<a name="API_UpdateLinkedWhatsAppBusinessAccountPhoneNumber_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/socialmessaging-2024-01-01/UpdateLinkedWhatsAppBusinessAccountPhoneNumber) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/socialmessaging-2024-01-01/UpdateLinkedWhatsAppBusinessAccountPhoneNumber) 
+  [AWS SDK for C\+\+](https://docs.aws.amazon.com/goto/SdkForCpp/socialmessaging-2024-01-01/UpdateLinkedWhatsAppBusinessAccountPhoneNumber) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/socialmessaging-2024-01-01/UpdateLinkedWhatsAppBusinessAccountPhoneNumber) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/socialmessaging-2024-01-01/UpdateLinkedWhatsAppBusinessAccountPhoneNumber) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/socialmessaging-2024-01-01/UpdateLinkedWhatsAppBusinessAccountPhoneNumber) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/socialmessaging-2024-01-01/UpdateLinkedWhatsAppBusinessAccountPhoneNumber) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/socialmessaging-2024-01-01/UpdateLinkedWhatsAppBusinessAccountPhoneNumber) 
+  [AWS SDK for Python (Boto3)](https://docs.aws.amazon.com/goto/boto3/socialmessaging-2024-01-01/UpdateLinkedWhatsAppBusinessAccountPhoneNumber) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/socialmessaging-2024-01-01/UpdateLinkedWhatsAppBusinessAccountPhoneNumber) 